Subject: [manet] The size of hdr_sr in the DSR implementation

From: Jonas Nielsen <[email-masked]>
Date: 01 Jul 2002 19:29:59 +0200

I'm trying to expand the DSR protocol by caching the routes from
cancelled route requests on each node as the route request is moving
to its destination. I will then piggyback these routes on a route reply.

Therefore I have tried to expand the hdr_sr struct by a c-array of
additional routes. This works fine if the number of additional routes
are not above 5. However if there is allocated space for over 5 routes
in the hdr_sr structure the packets aren't transferred correctly.
(which normally results in segmentation faults in various places).

Are there a maximum limit of header size in ns and how do I change it
? (I know it has nothing to do with the value computed in the Size
function).

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet